# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0
# Tests disabled due to missing npm(babel-polyfill)

%global packagename readable-stream
%global owner nodejs

Name:               nodejs-readable-stream
Version:            2.3.6
Release:            5%{?dist}
Summary:            Streams3, a user-land copy of the stream library from Node.js

License:            MIT
URL:                https://www.npmjs.org/package/readable-stream
Source0:            https://github.com/%{owner}/%{packagename}/archive/v%{version}/%{packagename}-%{version}.tar.gz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(core-util-is)
BuildRequires:      npm(inherits)
BuildRequires:      npm(isarray)
BuildRequires:      npm(process-nextick-args)
BuildRequires:      npm(safe-buffer)
BuildRequires:      npm(string_decoder)
BuildRequires:      npm(util-deprecate)

%if 0%{?enable_tests}
BuildRequires:      npm(babel-polyfill)
BuildRequires:      npm(tap)
BuildRequires:      npm(tape)
%endif


%description
This package is a mirror of the Streams2 and Streams3 implementations in
Node-core.

%prep
%autosetup -n %{packagename}-%{version}

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep isarray '~0.0.1'
%nodejs_fixdep string_decoder '~0.10.1'

%build
#nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/readable-stream
cp -pr package.json lib *.js \
    %{buildroot}%{nodejs_sitelib}/readable-stream

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
tap test/parallel/*.js test/ours/*.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/readable-stream/

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Mar 23 2019 Tom Hughes <tom@compton.nu> - 2.3.6-3
- Remove npm(process-nextick-args) dependency fix

* Sat Mar 23 2019 Tom Hughes <tom@compton.nu> - 2.3.6-2
- Fix npm(process-nextick-args) dependency

* Sat Mar 23 2019 Parag Nemade <pnemade AT redhat DOT com> - 2.3.6-1
- Update to 2.3.6
- Remove un-needed BR: on buffer-shims dependency

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 15 2018 Jared Smith <jsmith@fedoraproject.org> - 2.2.9-5
- Fix versions of npm(isarray) and npm(string_decoder)

* Thu Mar 15 2018 Jared Smith <jsmith@fedoraproject.org> - 2.2.9-4
- Add missing BuildRequires, disable tests

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri May 12 2017 Parag Nemade <pnemade AT redhat DOT com> - 2.2.9-1
- Update to 2.2.9 version

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 17 2016 Tom Hughes <tom@compton.nu> - 2.0.5-1
- Update to 2.0.5 upstream release

* Tue Dec 15 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.0.4-1
- Update to 2.0.4
- Change source to github
- Enable tests

* Fri Oct 23 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.0.3-1
- Update to 2.0.3
- Remove requires which are autogenerated
- Move license to %%license tag

* Sat Jul 18 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.0.2-1
- Update to 2.0.2 version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 14 2015 Ralph Bean <rbean@redhat.com> - 1.1.13-1
- new version

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 1.1.9-1
- Initial packaging for Fedora.
